Bug 1002466 - Process Definitions disappear if you move Definition Details tab over it
Process Definitions disappear if you move Definition Details tab over it
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Mauricio Salatino
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 05:30 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
empty process list (15.21 KB, image/png)
2013-08-29 05:30 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-29 05:30:38 EDT
Created attachment 791656 [details]
empty process list

Description of problem:
If you drag the Definition Details tab over the Process Definitions perspective tab and than switch back to the perspective tab, no process definitions are visible, the list is empty.

This happens with the Definition Details tab opened by clicking the process name in the perspective tab.

Refreshing the list fixes the issue.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER2


Steps to Reproduce:
1. Open Process Definitions perspective.
2. Click some process name - this brings up a Definition Details tab next to the perspective.
3. Drag the Definition Details tab over the perspective (click and hold, move over the blue navigation "compass", drop it on the centre square).
4. Switch to the perspective tab (the black triangle in the tab header, not the menu on top).


Actual results:
No process definitions are listed.


Expected results:
All process definitions visible as before.
Comment 1 Mauricio Salatino 2013-09-18 10:01:01 EDT
Fixed in master and cherry picked to 6.0.x: 
http://github.com/droolsjbpm/jbpm-console-ng/commit/4fe83bb77
Comment 5 Sona Mala 2013-10-16 06:08:47 EDT
Verified for ER4.

Note You need to log in before you can comment on or make changes to this bug.